Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
domains
/
{id}
[Domains] Retrieve domain details
curl --request GET \
  --url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/domains/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "legacy_id": 123,
  "name": "<string>",
  "sld": "<string>",
  "tld": "<string>",
  "tld_info": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "tld": "<string>",
    "display_name": "<string>",
    "category": "generic",
    "pricing": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "years": 2147483647,
        "registration_price": "<string>",
        "renewal_price": "<string>",
        "transfer_price": "<string>"
      }
    ],
    "is_active": true,
    "is_registration_available": true,
    "is_transfer_available": true,
    "whois_privacy_available": true,
    "whois_privacy_price": "<string>",
    "transfer_lock_available": true,
    "min_registration_years": 2147483647,
    "max_registration_years": 2147483647
  },
  "status": "pending",
  "registration_date": "2023-12-25",
  "expiration_date": "2023-12-25",
  "auto_renew": true,
  "whois_privacy": true,
  "is_locked": true,
  "nameservers": "<unknown>",
  "billing_cycle": 123,
  "next_billing_date": "2023-12-25",
  "dns_zone": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "zone_name": "<string>",
    "mode": "onetsolutions",
    "cloudflare_nameservers": "<unknown>",
    "is_active": true,
    "is_verified": true,
    "record_count": 123,
    "created": "2023-11-07T05:31:56Z",
    "modified": "2023-11-07T05:31:56Z"
  },
  "website_preview": {
    "url": "<string>",
    "http_status": 123,
    "page_title": "<string>",
    "meta_description": "<string>",
    "favicon_url": "<string>",
    "thumbnail_url": "<string>",
    "ssl_status": "valid",
    "ssl_issuer": "<string>",
    "ssl_issued_at": "2023-11-07T05:31:56Z",
    "ssl_expires_at": "2023-11-07T05:31:56Z",
    "last_check_at": "2023-11-07T05:31:56Z",
    "last_successful_check_at": "2023-11-07T05:31:56Z",
    "error_message": "<string>"
  },
  "registrant_first_name": "<string>",
  "registrant_last_name": "<string>",
  "registrant_organization": "<string>",
  "registrant_email": "jsmith@example.com",
  "registrant_phone": "<string>",
  "registrant_address_1": "<string>",
  "registrant_address_2": "<string>",
  "registrant_city": "<string>",
  "registrant_state": "<string>",
  "registrant_postcode": "<string>",
  "registrant_country": "<string>",
  "admin_first_name": "<string>",
  "admin_last_name": "<string>",
  "admin_organization": "<string>",
  "admin_email": "jsmith@example.com",
  "admin_phone": "<string>",
  "admin_address_1": "<string>",
  "admin_address_2": "<string>",
  "admin_city": "<string>",
  "admin_state": "<string>",
  "admin_postcode": "<string>",
  "admin_country": "<string>",
  "tech_first_name": "<string>",
  "tech_last_name": "<string>",
  "tech_organization": "<string>",
  "tech_email": "jsmith@example.com",
  "tech_phone": "<string>",
  "tech_address_1": "<string>",
  "tech_address_2": "<string>",
  "tech_city": "<string>",
  "tech_state": "<string>",
  "tech_postcode": "<string>",
  "tech_country": "<string>",
  "is_active": true,
  "created": "2023-11-07T05:31:56Z",
  "modified": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

id
string
required

The unique identifier (UUID) of the domain to retrieve

organization_id
string<uuid>
required
project_id
string<uuid>
required

Query Parameters

expand
string

Comma-separated list of related resources to expand. Available: 'tld' (includes full TLD info with pricing). Example: ?expand=tld

Response

Domain details retrieved successfully

id
string<uuid>
required
read-only
legacy_id
integer
required
read-only
name
string
required
read-only
sld
string
required
read-only
tld
string
required
read-only
tld_info
object
required
status
enum<string>
required
read-only
  • pending - pending
  • registering - registering
  • active - active
  • expired - expired
  • expiring_soon - expiring soon
  • suspended - suspended
  • transferring_in - transferring in
  • transferring_out - transferring out
  • pending_delete - pending delete
  • deleted - deleted
  • failed - failed
Available options:
pending,
registering,
active,
expired,
expiring_soon,
suspended,
transferring_in,
transferring_out,
pending_delete,
deleted,
failed
registration_date
string<date> | null
required
read-only
expiration_date
string<date> | null
required
read-only
auto_renew
boolean
required
read-only
whois_privacy
boolean
required
read-only
is_locked
boolean
required
read-only
nameservers
any
required
billing_cycle
integer
required
read-only
next_billing_date
string<date> | null
required
read-only
dns_zone
object
required
website_preview
object
required
registrant_first_name
string
required
read-only
registrant_last_name
string
required
read-only
registrant_organization
string
required
read-only
registrant_email
string<email>
required
read-only
registrant_phone
string
required
read-only
registrant_address_1
string
required
read-only
registrant_address_2
string
required
read-only
registrant_city
string
required
read-only
registrant_state
string
required
read-only
registrant_postcode
string
required
read-only
registrant_country
string
required
read-only
admin_first_name
string
required
read-only
admin_last_name
string
required
read-only
admin_organization
string
required
read-only
admin_email
string<email>
required
read-only
admin_phone
string
required
read-only
admin_address_1
string
required
read-only
admin_address_2
string
required
read-only
admin_city
string
required
read-only
admin_state
string
required
read-only
admin_postcode
string
required
read-only
admin_country
string
required
read-only
tech_first_name
string
required
read-only
tech_last_name
string
required
read-only
tech_organization
string
required
read-only
tech_email
string<email>
required
read-only
tech_phone
string
required
read-only
tech_address_1
string
required
read-only
tech_address_2
string
required
read-only
tech_city
string
required
read-only
tech_state
string
required
read-only
tech_postcode
string
required
read-only
tech_country
string
required
read-only
is_active
boolean
required
read-only
created
string<date-time>
required
read-only
modified
string<date-time>
required
read-only